# Acquirers: Request Body Parameters - POST /inquiries
source: https://developer.mastercard.com/onboard-risk-check/documentation/parameters/acquirers-parameters/index.md

API Reference: `POST /inquiries`

You have a choice to request the risk rating report for Cyber Health only or Sanctions Screening only or Business Identity only or all three.
You can use `options` parameter to specify your choice.
Note: For more details on ICA, please refer to [Glossary](https://developer.mastercard.com/onboard-risk-check/documentation/glossary/index.md).
* CyberHealth
* SanctionsScreening
* BusinessIdentity
* All

```json
{
 "options": [
        "cyberHealth"
    ]
}
```

```json
{
 "options": [
        "sanctionsScreening"
    ]
}
```

```json
{
 "options": [
        "businessIdentity"
    ]
}
```

```json
{
 "options": [
        "cyberHealth",
        "sanctionsScreening",
        "businessIdentity"
    ]
}
```

Depending on the `options` you will then have to provide the data in the `criteria` section necessary to generate the respective risk rating report.

<br />

* CyberHealth
* SanctionsScreening
* BusinessIdentity
* All

```json
{
    "options": [
        "cyberHealth"
    ],
    "criteria": {
        "requestingIca": "1996",
        "businessInfo": {
            "name": "THE BAIT SHOP",
            "merchantUrl": "www.bait.com"
        }
    }
}

```

```json
{
    "options": [
        "sanctionsScreening"
    ],
    "criteria": {
        "requestingIca": "1996",
        "businessInfo": {
            "legalName": "BAIT R US",
            "address": {
                "streetAddressLine1": "1551 CROSSBEAM DR",
                "streetAddressLine2": "CASSELBERRY",
                "countryCode": "US",
                "stateCode": "FL",
                "postalCode": "327075922",
                "city": "Miami"
            }
        },
        "principalInfo": [
            {
                "firstName": "Joe",
                "lastName": "Smith",
                "dateOfBirth": "1913-02-05",
                "address": {
                    "streetAddressLine1": "1551 CROSSBEAM DR",
                    "streetAddressLine2": "CASSELBERRY",
                    "countryCode": "US",
                    "stateCode": "FL",
                    "postalCode": "327075922",
                    "city": "Miami"
                }
            }
        ]
    }
}
```

```json
{
  "options": [
    "businessIdentity"
  ],
  "criteria": {
    "requestingIca": "1996",
    "businessInfo": {
      "binBrn": "BRN123ABC",
      "legalName": "Acme Inc.",
      "ein": "123456789",
      "jurisdiction": "BC",
      "address": {
        "streetAddressLine1": "123 Main St",
        "streetAddressLine2": "Business Park",
        "countryCode": "CA",
        "stateCode": "BC",
        "city": " Miami",
        "postalCode": "V6M 1A3"
      },
      "peopleOfSignificantControl": [
        {
          "firstGivenName": "Michael",
          "middleName": "J.",
          "firstSurName": "Scott",
          "secondSurname": "Flax",
          "fullName": "Michael J. Scott Flax",
          "businessName": "VERTEX AUTO CORP.",
          "address": {
            "addressOne": "123 Main St.",
            "addressTwo": "village",
            "country": "US",
            "stateProvince": "Texas",
            "city": "Houston",
            "postalCode": "73001"
          }
        },
        {
          "fullName": "John Doe",
          "address": {
            "addressOne": "123 Main St."
          }
        },
        {
          "firstGivenName": "Scott",
          "firstSurName": "Murphy",
          "address": {
            "addressOne": "1825 Halo St.",
            "city": "Vancouver",
            "country": "CA",
            "stateProvince": "BC"
          }
        }
      ]
    }
  }
}
```

```json
{
  "options": [
    "cyberHealth",
    "sanctionsScreening",
    "businessIdentity"
  ],
  "criteria": {
    "requestingIca": "1996",
    "businessInfo": {
      "name": "THE BAIT SHOP",
      "merchantUrl": "www.bait.com",
      "legalName": "BAIT R US",
      "jurisdiction": "FL",
      "ein": "123",
      "binBrn": "123",
      "address": {
        "streetAddressLine1": "1551 CROSSBEAM DR",
        "streetAddressLine2": "CASSELBERRY",
        "countryCode": "US",
        "stateCode": "FL",
        "postalCode": "327075922",
        "city": "Miami"
      },
      "peopleOfSignificantControl": [
        {
          "fullName": "EUGENE JONES",
          "address": {
            "addressOne": "123 Main St."
          }
        },
        {
          "fullName": "John Doe",
          "address": {
            "addressOne": "123 Main St."
          }
        },
        {
          "firstGivenName": "Scott",
          "firstSurName": "Murphy",
          "address": {
            "addressOne": "1825 Halo St.",
            "city": "Vancouver",
            "country": "CA",
            "stateProvince": "BC"
          }
        }
      ]
    },
    "principalInfo": [
      {
        "firstName": "Joe",
        "lastName": "Smith",
        "dateOfBirth": "1913-02-05",
        "address": {
          "streetAddressLine1": "1551 CROSSBEAM DR",
          "streetAddressLine2": "CASSELBERRY",
          "countryCode": "US",
          "stateCode": "FL",
          "postalCode": "327075922",
          "city": "Miami"
        }
      }
    ]
  }
}

```

<br />

<br />

## CyberHealth {#cyberhealth}

Input parameter description for initiating an inquiry for Cyber Health.

|       Parameter        |      Type      |   Required   |                                             Description                                             |
|------------------------|----------------|--------------|-----------------------------------------------------------------------------------------------------|
| `options*`             | list\<string\> | Required     | Specifies type(s) of risk rating report. Eg. \[ "cyberHealth"\].                                    |
| **`criteria*`**        | **object**     | **Required** | **Holds all the necessary input fields that support the selected type of risk data.**               |
| ├──`requestingIca*`    | string         | Required     | Interbank Card Association Number (ICA) of the acquirer or customer initiating the inquiry request. |
| **└──`businessInfo*`** | **object**     | **Required** | **Holds all the fields related to the business or merchant entity.**                                |
| ├──`name*`             | string         | Required     | Merchant name for which the customer is requesting a risk report. Eg. "THE BAIT SHOP". Max: 256.    |
| └──`merchantUrl*`      | string         | Required     | URL of the merchant. Eg. "[www.bait.com](https://www.bait.com)". Max: 256.                          |

## SanctionsScreening {#sanctionsscreening}

Input parameter description for initiating an inquiry for Sanctions Screening.

|        Parameter         |      Type      |   Required   |                                                                           Description                                                                           |
|--------------------------|----------------|--------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `options*`               | list\<string\> | Required     | Specifies type(s) of risk rating report. Eg. \[ "sanctionsScreening"\].                                                                                         |
| **`criteria*`**          | **object**     | **Required** | **Holds all the necessary input fields that support the selected type of risk data.**                                                                           |
| ├──`requestingIca*`      | string         | Required     | Interbank Card Association Number (ICA) of the acquirer or customer initiating the inquiry request.                                                             |
| **└──`businessInfo*`**   | **object**     | **Required** | **Holds all the fields related to the business or merchant entity.**                                                                                            |
| ├──`legalName*`          | string         | Required     | The legal name of the business for which the customer is requesting a risk report. Eg. "BAIT R US". Max: 256.                                                   |
| **└──`address*`**        | **object**     | **Required** | **Holds the address of the business entity.**                                                                                                                   |
| ├──`streetAddressLine1`  | string         | Optional     | Street Address Line 1 of the address registered to the business. Eg. "1725 Slough Avenue". Max: 256.                                                            |
| ├──`streetAddressLine2`  | string         | Optional     | Street Address Line 2 of the address registered to the business. Eg. "Suite 101". Max: 256.                                                                     |
| ├──`stateCode`           | string         | Optional     | In case of countryCode US, US state alpha code of the address registered to the business. Eg. "FL". Min: 2, Max: 2.                                             |
| ├──`postalCode`          | string         | Optional     | Postal code of the address registered to the business. Eg. "327075922". Max: 256.                                                                               |
| ├──`city`                | string         | Optional     | City of the address registered to the business. Eg. "Miami". Max: 256.                                                                                          |
| └──`countryCode*`        | string         | Required     | ISO-3166 alpha-2 country code of the address registered to the business. Eg. "US". Min: 2, Max: 2.                                                              |
| **└──`principalInfo`**   | **object**     | **Optional** | **Holds all the necessary objects for the principal behind the business. Principal Info is optional for Sanctions Screening.**                                  |
| ├──`firstName`           | string         | Optional     | First Name is optional for principalInfo. Eg. "Joe". Max: 256.                                                                                                  |
| ├──`lastName*`           | string         | Required     | Last Name is mandatory for principalInfo. Eg. "Smith". Max: 256.                                                                                                |
| ├──`dateOfBirth`         | string         | Optional     | Principal Date of Birth (YYYY-MM-DD). Eg. "1985-07-25".                                                                                                         |
| **└──`address*`**        | **object**     | **Required** | **Holds the address of the principal behind the business.**                                                                                                     |
| ├──`streetAddressLine1*` | string         | Required     | Street Address Line 1 of the address registered to the principal. It is mandatory in principalInfo for Sanctions Screening. Eg. "1725 Slough Avenue". Max: 256. |
| ├──`streetAddressLine2`  | string         | Optional     | Street Address Line 2 of the address registered to the principal. Eg. "Suite 101". Max: 256.                                                                    |
| ├──`stateCode`           | string         | Optional     | In case of countryCode US, US state alpha code of the address registered to the principal. Eg. "FL". Min: 2, Max: 2.                                            |
| ├──`postalCode`          | string         | Optional     | Postal code of the address registered to the principal. Eg. "327075922". Max: 256.                                                                              |
| ├──`city`                | string         | Optional     | City of the address registered to the business or principal. Eg. "Miami". Max: 256.                                                                             |
| └──`countryCode*`        | string         | Required     | ISO-3166 alpha-2 country code of the address registered to the business. Eg. "US". Min: 2, Max: 2.                                                              |

## BusinessIdentity {#businessidentity}

Input parameter description for initiating an inquiry for Business Identity.

|              Parameter              |      Type      |               Required               |                                                                                                                                                                                           Description                                                                                                                                                                                            |
|-------------------------------------|----------------|--------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `options*`                          | list\<string\> | Required                             | Specifies type(s) of risk rating report. Eg. \["businessIdentity"\].                                                                                                                                                                                                                                                                                                                             |
| **`criteria*`**                     | **object**     | **Required**                         | **Holds all the necessary input fields that support the selected type of risk data.**                                                                                                                                                                                                                                                                                                            |
| ├──`requestingIca*`                 | string         | Required                             | Interbank Card Association Number (ICA) of the acquirer or customer initiating the inquiry request.                                                                                                                                                                                                                                                                                              |
| **└──`businessInfo*`**              | **object**     | **Required**                         | **Holds all the fields related to the business or merchant entity.**                                                                                                                                                                                                                                                                                                                             |
| ├──`legalName*`                     | string         | Required                             | The legal name of the business for which the customer is requesting a risk report. Eg. "BAIT R US". Max: 256.                                                                                                                                                                                                                                                                                    |
| ├──`binBrn*`                        | string         | Required only for non-US businesses. | The Business Registration Number (BRN) is the unique identifier assigned to a business by the official registration authority of the region in which the business was registered. For example, it may be called BRN, File Number, Entity ID, Registration Number, Charter Number, or another name depending on the jurisdiction. Required only for non-US businesses. Optional for US. Max: 256. |
| ├──`ein*`                           | string         | Required only for US businesses.     | The national tax id or EIN id of the business. Required only for US businesses. Optional for the rest of the world. Max: 256                                                                                                                                                                                                                                                                     |
| ├──`jurisdiction*`                  | string         | Required only for US businesses.     | The state or the province where the business was formed or registered with a local legal entity. Required only for US businesses. Optional for the rest of the world. Max: 256.                                                                                                                                                                                                                  |
| **└──`address*`**                   | **object**     | **Required**                         | **Holds the address of the business entity.**                                                                                                                                                                                                                                                                                                                                                    |
| ├──`streetAddressLine1`             | string         | Optional                             | Street Address Line 1 of the address registered to the business. Eg. "1725 Slough Avenue". Max: 256.                                                                                                                                                                                                                                                                                             |
| ├──`streetAddressLine2`             | string         | Optional                             | Street Address Line 2 of the address registered to the business. Eg. "Suite 101". Max: 256.                                                                                                                                                                                                                                                                                                      |
| ├──`stateCode`                      | string         | Optional                             | State/province code registered to the business. US sources expect 2 characters. Other countries may expect 2 or 3 characters. Eg. "FL". Max: 256.                                                                                                                                                                                                                                                |
| ├──`postalCode*`                    | string         | Required                             | Postal code of the address registered to the business. Eg. "327075922". Max: 256.                                                                                                                                                                                                                                                                                                                |
| ├──`city*`                          | string         | Required                             | City of the address registered to the business. Eg. "Miami". Max: 256.                                                                                                                                                                                                                                                                                                                           |
| └──`countryCode*`                   | string         | Required                             | ISO-3166 alpha-2 country code of the address registered to the business. Eg. "US". Min: 2, Max: 2.                                                                                                                                                                                                                                                                                               |
| **└──`peopleOfSignificantControl`** | **object**     | **Optional**                         | **Holds all the fields related to the key individuals from the companies with whom customers are establishing relationships. A customer can inquire about a maximum of three PSCs in a single inquiry.**                                                                                                                                                                                         |
| ├──`firstGivenName`                 | string         | Optional                             | First given name of the company owner or director. Eg. "Michael". Max: 256.                                                                                                                                                                                                                                                                                                                      |
| ├──`middleName`                     | string         | Optional                             | Middle name of the company owner or director. Eg. "J.". Max: 256.                                                                                                                                                                                                                                                                                                                                |
| ├──`firstSurName`                   | string         | Optional                             | First surname of the company owner or director. Eg. "Scott". Max: 256                                                                                                                                                                                                                                                                                                                            |
| ├──`secondSurname`                  | string         | Optional                             | Second surname of the company owner or director. Eg. "Flax". Max: 256.                                                                                                                                                                                                                                                                                                                           |
| ├──`fullName`                       | string         | Optional                             | Full Name of the company owner or director. Eg. "Michael J. Scott Flax". Max: 256.                                                                                                                                                                                                                                                                                                               |
| ├──`businessName`                   | string         | Optional                             | Name of the business with which the key individual is associated. Eg. "VERTEX AUTO CORP.". Max: 256.                                                                                                                                                                                                                                                                                             |
| **└──`address`**                    | **object**     | Optional                             | **Holds the address of the key individual.**                                                                                                                                                                                                                                                                                                                                                     |
| ├──`addressOne`                     | string         | Optional                             | Street Address Line 1 of the address registered to the company owner or director. Eg. "123 Main St.". Max: 256.                                                                                                                                                                                                                                                                                  |
| ├──`addressTwo`                     | string         | Optional                             | Street Address Line 2 of the address registered to the company owner or director. Eg. "village". Max: 256.                                                                                                                                                                                                                                                                                       |
| ├──`stateProvince`                  | string         | Optional                             | State/province code registered to the company owner or director. US sources expect 2 characters. Other countries may expect 2 or 3 characters. Eg. "Texas". Max: 256.                                                                                                                                                                                                                            |
| ├──`postalCode`                     | string         | Optional                             | Postal code of the address registered to the company owner or director. Eg. "73001". Max: 256.                                                                                                                                                                                                                                                                                                   |
| ├──`city`                           | string         | Optional                             | City of the address registered to the company owner or director. Eg. "Houston". Max: 256.                                                                                                                                                                                                                                                                                                        |
| └──`country`                        | string         | Optional                             | ISO-3166 alpha-2 country code of the address registered to the company owner or director. Eg. "US". Min: 2, Max: 2.                                                                                                                                                                                                                                                                              |

Note: As part of our commitment to evolving market dynamics, we may update our APIs accordingly.
